<?php

Yii::import('application.modules.core_models.models._base.BaseModel');

/**
 * This is the model base class for the table "campaign_email_link".
 * DO NOT MODIFY THIS FILE! It is automatically generated by giix.
 * If any changes are necessary, you must set or override the required
 * property or method in class "CampaignEmailLink".
 *
 * Columns in table "campaign_email_link" available as properties of the model,
 * followed by relations of table "campaign_email_link" available as properties of the model.
 *
 * @property integer $id
 * @property integer $campaign_email_id
 * @property string $link
 * @property string $action
 * @property string $expires
 *
 * @property CampaignEmail $campaignEmail
 */
abstract class BaseCampaignEmailLink extends BaseModel
{

    public static function model($className = __CLASS__)
    {
        return parent::model($className);
    }

    public function tableName()
    {
        return 'campaign_email_link';
    }

    public static function label($n = 1)
    {
        return Yii::t('app', 'CampaignEmailLink|CampaignEmailLinks', $n);
    }

    public static function representingColumn()
    {
        return 'link';
    }

    public function rules()
    {
        return array(
            array('campaign_email_id, link, action, expires', 'required'),
            array('campaign_email_id', 'numerical', 'integerOnly' => true),
            array('link, action', 'length', 'max' => 255),
            array('id, campaign_email_id, link, action, expires', 'safe', 'on' => 'search'),
        );
    }

    public function relations()
    {
        return array(
            'campaignEmail' => array(self::BELONGS_TO, 'CampaignEmail', 'campaign_email_id'),
        );
    }

    public function pivotModels()
    {
        return array(
        );
    }

    public function attributeLabels()
    {
        return array(
            'id' => Yii::t('app', 'ID'),
            'campaign_email_id' => null,
            'link' => Yii::t('app', 'Link'),
            'action' => Yii::t('app', 'Action'),
            'expires' => Yii::t('app', 'Expires'),
            'campaignEmail' => null,
        );
    }

    public function search()
    {
        $criteria = new CDbCriteria;

        $criteria->compare('id', $this->id);
        $criteria->compare('campaign_email_id', $this->campaign_email_id);
        $criteria->compare('link', $this->link, true);
        $criteria->compare('action', $this->action, true);
        $criteria->compare('expires', $this->expires, true);

        return new CActiveDataProvider($this, array(
            'criteria' => $criteria,
        ));
    }

}
